### GET /api/web/zones/zones-lookup Source: https://qa.boostlingo.com/swagger/v1/swagger.json API endpoint for GET /api/web/zones/zones-lookup ```markdown ### Responses #### 200 - OK **LSP.Models.Web.Zones.ZonesLookupModel** - **zones** (array (LSP.Models.Shared.Lookup.LookupModel)) Array items: - **id** (integer (int32)) - **name** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/web/zones/zones-lookup" ``` ``` -------------------------------- ### GET /api/web/account/saml-signup-callback Source: https://qa.boostlingo.com/swagger/v1/swagger.json API endpoint for GET /api/web/account/saml-signup-callback ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/web/account/saml-signup-callback" ``` ``` -------------------------------- ### POST /api/web/appointment/log-file-async Source: https://qa.boostlingo.com/swagger/v1/swagger.json API endpoint for POST /api/web/appointment/log-file-async ```markdown ### Request Body **Content-Type:** application/json - **columns** (array (LSP.Models.Web.Logs.LogFileColumnModel)) Array items: - **name** (string) - **description** (string) - **isCustom** (boolean) - **isInterpreter** (boolean) - **isClient** (boolean) - **isClientCompany** (boolean) - **format** (integer (int32)) ("1"|"2"|"3") - **timezone** (string) - **request** (object) - **pageIndex** (integer (int32)) - **sortBy** (string) - **sortDirection** (integer (int32)) ("1"|"2"|"3") - **searchString** (string) - **pageSize** (integer (int32)) (required) - **userAccountId** (integer (int32)) - **userCompanyAccountId** (integer (int32)) - **companyAccountId** (integer (int32)) - **consumerId** (integer (int32)) - **requestorId** (integer (int32)) - **dateSince** (string (date-time)) - **dateTill** (string (date-time)) - **languages** (array (integer (int32))) - **appointmentTypes** (array (LSP.Common.Enums.AppointmentTypeEnum)) - **requestId** (string) **Content-Type:** text/json - **columns** (array (LSP.Models.Web.Logs.LogFileColumnModel)) Array items: - **name** (string) - **description** (string) - **isCustom** (boolean) - **isInterpreter** (boolean) - **isClient** (boolean) - **isClientCompany** (boolean) - **format** (integer (int32)) ("1"|"2"|"3") - **timezone** (string) - **request** (object) - **pageIndex** (integer (int32)) - **sortBy** (string) - **sortDirection** (integer (int32)) ("1"|"2"|"3") - **searchString** (string) - **pageSize** (integer (int32)) (required) - **userAccountId** (integer (int32)) - **userCompanyAccountId** (integer (int32)) - **companyAccountId** (integer (int32)) - **consumerId** (integer (int32)) - **requestorId** (integer (int32)) - **dateSince** (string (date-time)) - **dateTill** (string (date-time)) - **languages** (array (integer (int32))) - **appointmentTypes** (array (LSP.Common.Enums.AppointmentTypeEnum)) - **requestId** (string) **Content-Type:** application/*+json - **columns** (array (LSP.Models.Web.Logs.LogFileColumnModel)) Array items: - **name** (string) - **description** (string) - **isCustom** (boolean) - **isInterpreter** (boolean) - **isClient** (boolean) - **isClientCompany** (boolean) - **format** (integer (int32)) ("1"|"2"|"3") - **timezone** (string) - **request** (object) - **pageIndex** (integer (int32)) - **sortBy** (string) - **sortDirection** (integer (int32)) ("1"|"2"|"3") - **searchString** (string) - **pageSize** (integer (int32)) (required) - **userAccountId** (integer (int32)) - **userCompanyAccountId** (integer (int32)) - **companyAccountId** (integer (int32)) - **consumerId** (integer (int32)) - **requestorId** (integer (int32)) - **dateSince** (string (date-time)) - **dateTill** (string (date-time)) - **languages** (array (integer (int32))) - **appointmentTypes** (array (LSP.Common.Enums.AppointmentTypeEnum)) - **requestId** (string) ### Responses #### 200 - OK **LSP.Models.Web.Logs.LogResponseModel** - **requestId** (string) - **fileUrl** (string) - **error** (string) - **data** (object) - **logType** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/web/appointment/log-file-async" \ -H "Content-Type: application/json" \ -d '{ "columns": [ "value" ], "format": "value", "timezone": "string", "request": "value", "requestId": "string" }' ``` ``` -------------------------------- ### GET /api/web/zones/interpreters Source: https://qa.boostlingo.com/swagger/v1/swagger.json API endpoint for GET /api/web/zones/interpreters ```markdown ### Parameters - **q** (LSP.Models.Web.Zones.ZoneEntitiesRequestModel, query, optional) ### Responses #### 200 - OK **LSP.Models.Web.Zones.ZoneInterpreterListModel** - **items** (array (LSP.Models.Shared.Lookup.UserLookupModel)) Array items: - **id** (integer (int32)) - **email** (string) - **defaultServiceTypeId** (integer (int32)) - **nativeLanguageId** (integer (int32)) - **name** (string) - **phoneNumber** (string) - **imageKey** (string) - **pageSize** (integer (int32)) - **pageIndex** (integer (int32)) - **totalPages** (integer (int32)) - **totalItems** (integer (int32)) - **sortBy** (string) - **sortDirection** (integer (int32)) ("1"|"2"|"3") ### Example Usage ```bash curl -X GET "https://api.example.com/api/web/zones/interpreters?q=value" ``` ``` -------------------------------- ### POST /api/web/clients/accounts-file-async Source: https://qa.boostlingo.com/swagger/v1/swagger.json API endpoint for POST /api/web/clients/accounts-file-async ```markdown ### Request Body **Content-Type:** application/json - **columns** (array (LSP.Models.Web.Logs.LogFileColumnModel)) Array items: - **name** (string) - **description** (string) - **isCustom** (boolean) - **isInterpreter** (boolean) - **isClient** (boolean) - **isClientCompany** (boolean) - **format** (integer (int32)) ("1"|"2"|"3") - **timezone** (string) - **request** (object) - **pageSize** (integer (int32)) - **pageIndex** (integer (int32)) - **sortBy** (string) - **sortDirection** (integer (int32)) ("1"|"2"|"3") - **zone** (array (integer (int32))) - **consumer** (array (integer (int32))) - **status** (array (integer (int32))) - **searchString** (string) **Content-Type:** text/json - **columns** (array (LSP.Models.Web.Logs.LogFileColumnModel)) Array items: - **name** (string) - **description** (string) - **isCustom** (boolean) - **isInterpreter** (boolean) - **isClient** (boolean) - **isClientCompany** (boolean) - **format** (integer (int32)) ("1"|"2"|"3") - **timezone** (string) - **request** (object) - **pageSize** (integer (int32)) - **pageIndex** (integer (int32)) - **sortBy** (string) - **sortDirection** (integer (int32)) ("1"|"2"|"3") - **zone** (array (integer (int32))) - **consumer** (array (integer (int32))) - **status** (array (integer (int32))) - **searchString** (string) **Content-Type:** application/*+json - **columns** (array (LSP.Models.Web.Logs.LogFileColumnModel)) Array items: - **name** (string) - **description** (string) - **isCustom** (boolean) - **isInterpreter** (boolean) - **isClient** (boolean) - **isClientCompany** (boolean) - **format** (integer (int32)) ("1"|"2"|"3") - **timezone** (string) - **request** (object) - **pageSize** (integer (int32)) - **pageIndex** (integer (int32)) - **sortBy** (string) - **sortDirection** (integer (int32)) ("1"|"2"|"3") - **zone** (array (integer (int32))) - **consumer** (array (integer (int32))) - **status** (array (integer (int32))) - **searchString** (string) ### Responses #### 200 - OK **LSP.Models.Web.Logs.LogResponseModel** - **requestId** (string) - **fileUrl** (string) - **error** (string) - **data** (object) - **logType** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/web/clients/accounts-file-async" \ -H "Content-Type: application/json" \ -d '{ "columns": [ "value" ], "format": "value", "timezone": "string", "request": "value" }' ``` ```